Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 178687 - Czech locale => incorrect console fonts
Summary: Czech locale => incorrect console fonts
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Carl Worth
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-23 15:23 UTC by Libor Vanek
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-06 12:37:09 UTC


Attachments (Terms of Use)

Description Libor Vanek 2006-01-23 15:23:47 UTC
Description of problem:
Using Czech locale there are some czech characters (Ä, ů and Å) incorrectly
displayd.

Version-Release number of selected component (if applicable):
Fedora Core 5 test 2

How reproducible:
Always

Steps to Reproduce:
1. Setup czech locale ("/etc/sysconfig/i18n" - LANG="cs_CZ.UTF-8",
SYSFONT="latarcyrheb-sun16")
2. Boot
3. View "details" during boot.

Comment 1 Lawrence Lim 2006-01-24 00:08:45 UTC
Reassigning to the appropriate maintainer.

Comment 2 Ray Strode [halfline] 2006-01-24 19:48:33 UTC
how are they displayed incorrectly?  can you describe what you're seeing?

Comment 3 Libor Vanek 2006-01-24 21:19:32 UTC
I'll add more details tomorrow (I'm not at work where I got FC5t2 installed) but
IIRC there was "dotted box" (or "empty box"?) displayed instead of the character.

Comment 4 Bill Nottingham 2006-01-24 21:59:55 UTC
If you run the same services that are showing the errors later in a
gnome-terminal after logging in, are they displayed correctly?

Comment 5 Libor Vanek 2006-01-25 08:09:47 UTC
OK, I can confirm that if I use gnome-terminal (or KDE konsole), that I can't
use Czech characters in the console (e.g. "Ä, ů, Å, Å") - there is displayed
"white empty box" instead of the characters. 

So the problem is not boot-time related but more terminal font configuration
related - if I change font from "Monospace" to e.g. "Nimbus Mono L", then all
characters are OK.

Comment 6 Bill Nottingham 2006-01-25 15:05:47 UTC
Moving to fontconfig - may be an issue with the fonts itself.

Comment 7 Ray Strode [halfline] 2006-01-25 17:39:11 UTC
if you remove ~/.fonts.cache-2 and ~/.fonts/fonts.cache-2 and then run 

fc-cache -f

does your problem go away?

Comment 8 Libor Vanek 2006-01-25 17:43:10 UTC
I can test it tomorrow but this problem is occuring from since installation so I
don't expect this to be problem in inconsistent font cache. But I'll try it.

I also tried to update system today ("yum -y update"), there was a LOT of
packages updated (>400 MB) but it didn't helped neither...

Comment 9 Leon Ho 2006-01-30 06:59:02 UTC
It works for me on rawhide (around Test2 time, so should be same as your yum
update). Some of these characters should be provided by font like Bitstream Vera
Sans. It should be installed but please make sure. Also let us know if you can
view the glyph correctly in 'gucharmap' utility.

Comment 10 John Thacker 2006-05-06 12:37:09 UTC
Closing due to lack of response by reporter.

If this happens on FC5 final, please reopen and give more information.


Note You need to log in before you can comment on or make changes to this bug.